<?php

namespace App\Http\Controllers;

use App\Models\Airport;
use Illuminate\Http\Request;
use App\Models\Plane;
use Illuminate\Support\Facades\DB;

class AirportController extends Controller
{
    public function getAll(Request $request){
        $airports  = Airport::all();
        $planes = Plane::all();
        return view("airport", array(
            "airports" => $airports,));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["name" => "required|max:255",
        "city" => "required|max:255",]);

        $new_airport = Airport::create($data);
        $planes = $request->planes;
        DB::table('airports_planes')->where('airport_id', $new_airport->id)->delete();
        if ($planes) {
            foreach ($planes as $plane) {
                DB::table('airports_planes')->insert(array(
                    "plane_id" => $plane,
                    "airport_id" => $new_airport->id
                ));
            };
        }
        return redirect('airport/');
    }
    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = Airport::where('id', $instanceId)->first();
        }
        else {
            $obj = new Airport();
        }
        $planes = Plane::all();
        return view('airportForm', array(
            "obj" => $obj,
            "planes" => $planes
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["name" => "required|max:255",
            "city" => "required|max:255",]);
        $obj = Airport::where('id', $request->instanceId)->first()->update($data);
        $planes = $request->planes;
        DB::table('airports_planes')->where('airport_id', $request->instanceId)->delete();
        if ($planes) {
            foreach ($planes as $plane) {
                DB::table('airports_planes')->insert(array(
                    "plane_id" => $plane,
                    "airport_id" => $request->instanceId
                ));
            };
        }
        return redirect('/airport');
    }
}
