<?php

namespace App\Http\Controllers;

use App\Models\Crew;
use App\Models\Flight;
use App\Models\Staff;
use Illuminate\Http\Request;

class CrewController extends Controller
{
    public function getAll(Request $request){
        $crews  = Crew::all();
        return view("crew", array("crews" => $crews));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["staff_id" => "required",
        "flight_id" => "required"]);

        if (!isset($data['commander']))
            $data['commander'] = 1;
        else
            $data['commander'] = 0;
        $new_crew = Crew::create($data);
        return redirect('crew/');
    }

    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = Crew::where('id', $instanceId)->first();
        }
        else {
            $obj = new Crew();
        }
        return view('crewForm', array(
            "obj" => $obj,
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["staff_id" => "required",
            "flight_id" => "required"]);
        $obj = Crew::where('id', $request->instanceId)->first()->update($data);
        return redirect('/crew');
    }
}
