<?php

namespace App\Http\Controllers;

use App\Models\Client;
use App\Models\Flight;
use App\Models\Tariff;
use Illuminate\Http\Request;
use App\Models\FlightRecord;

class FlightRecordController extends Controller
{
    public function getAll(Request $request){
        $flightRecords  = FlightRecord::all();
        return view("flightRecord", array(
            "flightRecords" => $flightRecords));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["flight_id" => "required",
        "client_id" => "required",
        "tariff_id" => "required"]);

        $new_flightRecord = FlightRecord::create($data);
        return redirect('flightrecord/');
    }

    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = FlightRecord::where('id', $instanceId)->first();
        }
        else {
            $obj = new FlightRecord();
        }
        return view('flightrecordForm', array(
            "obj" => $obj,
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["flight_id" => "required",
            "client_id" => "required",
            "tariff_id" => "required"]);
        $obj = FlightRecord::where('id', $request->instanceId)->first()->update($data);
        $flights = Flight::all();
        $clients = Client::all();
        $tariffs = Tariff::all();
        return redirect('/flightrecord');

    }
}
