<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Position;

class PositionController extends Controller
{
    public function getAll(Request $request){
        $positions  = Position::all();
        return view("position", array("positions" => $positions));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["name" => "required|max:255",
        "pay_rate" => "required"]);

        $new_position = Position::create($data);
        return redirect('position/');
    }

    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = Position::where('id', $instanceId)->first();
        }
        else {
            $obj = new Position();
        }
        return view('positionForm', array(
            "obj" => $obj,
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["name" => "required|max:255",
            "pay_rate" => "required"]);
        $obj = Position::where('id', $request->instanceId)->first()->update($data);
        return redirect('/position');

    }
}
