<?php

namespace App\Http\Controllers;

use App\Models\Airport;
use Illuminate\Http\Request;
use App\Models\Route;

class RouteController extends Controller
{
    public function getAll(Request $request){
        $routes  = Route::all();
        return view("route", array("routes" => $routes));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["departure_airport_id" => "required",
        "arrival_airport_id" => "required",
        "flight_duration" => "required|date_format:H:i",
        "price" => "required"]);

        $new_route = Route::create($data);
        return redirect('route/');
    }

    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = Route::where('id', $instanceId)->first();
        }
        else {
            $obj = new Route();
        }
        return view('routeForm', array(
            "obj" => $obj,
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["departure_airport_id" => "required",
            "arrival_airport_id" => "required",
            "flight_duration" => "required|date_format:H:i",
            "price" => "required"]);
        $obj = Route::where('id', $request->instanceId)->first()->update($data);
        $airports = Airport::all();
        return redirect('/route');

    }
}
