<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Plane extends Model
{
    protected $primaryKey = 'id';

    use HasFactory;
    protected $fillable = ['model', 'production_date', 'operating_date', 'serviceability'];

    public function airports() {
        return $this->belongsToMany(
            Airport::class,
            'planes_airports');
    }

    public function __toString() {
        return "{$this->model} {$this->production_date}";
    }

}
