<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;


class Route extends Model
{
    use HasFactory;

    protected $fillable = [
        'departure_airport_id',
        'arrival_airport_id',
        'flight_duration',
        'price'
    ];

    public function departure_airport()
    {
        return $this->belongsTo('App\Models\Airport');
    }

    public function arrival_airport()
    {
        return $this->belongsTo('App\Models\Airport');
    }

    public function __toString(): string
    {
        return "{$this->departure_airport} {$this->arrival_airport} {$this->price}";
    }
}
